diagnostics_relay_action_t
diagnostics_relay_client_free
diagnostics_relay_client_new
diagnostics_relay_client_start_service
diagnostics_relay_client_t
diagnostics_relay_error_t
diagnostics_relay_goodbye
diagnostics_relay_query_ioregistry_entry
diagnostics_relay_query_ioregistry_plane
diagnostics_relay_query_mobilegestalt
diagnostics_relay_request_diagnostics
DIAGNOSTICS_RELAY_REQUEST_TYPE_ALL
DIAGNOSTICS_RELAY_REQUEST_TYPE_GAS_GAUGE
DIAGNOSTICS_RELAY_REQUEST_TYPE_NAND
DIAGNOSTICS_RELAY_REQUEST_TYPE_WIFI
diagnostics_relay_restart
DIAGNOSTICS_RELAY_SERVICE_NAME
diagnostics_relay_shutdown
diagnostics_relay_sleep

## diagnostics_relay_client_start_service()

LIBIMOBILEDEVICE_API diagnostics_relay_error_t diagnostics_relay_client_start_service | ( | idevice_t | device,
|  | diagnostics_relay_client_t * | client,
|  | const char * | label )

Starts a new diagnostics_relay service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated diagnostics_relay_client_t upon successful return. Must be freed using diagnostics_relay_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  DIAGNOSTICS_RELAY_E_SUCCESS on success, or an DIAGNOSTICS_RELAY_E_* error code otherwise.